- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDZipStream Class Reference

`#include <VSDZipStream.h>`

Inheritance diagram for libvisio::VSDZipStream:

## Public Member Functions
| VSDZipStream (WPXInputStream *input)
| ~VSDZipStream ()
bool | isOLEStream ()
WPXInputStream * | getDocumentOLEStream (const char *)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, WPX_SEEK_TYPE seekType)
long | tell ()
bool | atEOS ()

## Private Member Functions
| VSDZipStream (const VSDZipStream &)
VSDZipStream & | operator= (const VSDZipStream &)

## Private Attributes
VSDZipStreamImpl * | m_pImpl

## Constructor & Destructor Documentation

libvisio::VSDZipStream::VSDZipStream | ( | WPXInputStream * | input | ) |

libvisio::VSDZipStream::~VSDZipStream | ( |  | ) |

libvisio::VSDZipStream::VSDZipStream | ( | const VSDZipStream & |  | ) |
| private

## Member Function Documentation

bool libvisio::VSDZipStream::atEOS | ( |  | ) |

WPXInputStream * libvisio::VSDZipStream::getDocumentOLEStream | ( | const char * | name | ) |

bool libvisio::VSDZipStream::isOLEStream | ( |  | ) |

VSDZipStream& libvisio::VSDZipStream::operator= | ( | const VSDZipStream & |  | ) |
| private

const unsigned char * libvisio::VSDZipStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libvisio::VSDZipStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |

long libvisio::VSDZipStream::tell | ( |  | ) |

## Member Data Documentation

VSDZipStreamImpl* libvisio::VSDZipStream::m_pImpl
| private

The documentation for this class was generated from the following files:

- VSDZipStream.h
- VSDZipStream.cpp